> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get report infos



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/PnLReport/GetReportInfo
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/PnLReport/GetReportInfo:
    post:
      tags:
        - PnLReport
      summary: Get report infos
      operationId: GetReportInfo
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetPnlReportInfoRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetPnlReportInfoRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetPnlReportInfoRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetPnlReportInfoRequest'
        description: The request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetPnlReportInfoResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetPnlReportInfoRequest:
      example:
        final_date_time: '2000-01-23T04:56:07.000+00:00'
        initial_date_time: '2000-01-23T04:56:07.000+00:00'
      properties:
        portfolio_name:
          nullable: true
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          nullable: true
          type: string
        final_date_time:
          format: date-time
          type: string
        initial_date_time:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetPnlReportInfoRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetPnlReportInfoResponse:
      example:
        report_infos:
          - status_message: status_message
            final_date_time: '2000-01-23T04:56:07.000+00:00'
            reporting_currency: reporting_currency
            real_time_mkt_data: true
            time_stamp: '2000-01-23T04:56:07.000+00:00'
            initial_date_time: '2000-01-23T04:56:07.000+00:00'
            description: description
            id: id
            portfolio_name: portfolio_name
            report_name: report_name
            portfolio_type: derivitec
            status: none
          - status_message: status_message
            final_date_time: '2000-01-23T04:56:07.000+00:00'
            reporting_currency: reporting_currency
            real_time_mkt_data: true
            time_stamp: '2000-01-23T04:56:07.000+00:00'
            initial_date_time: '2000-01-23T04:56:07.000+00:00'
            description: description
            id: id
            portfolio_name: portfolio_name
            report_name: report_name
            portfolio_type: derivitec
            status: none
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        report_infos:
          items:
            $ref: '#/components/schemas/PnlReportInfo'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetPnlReportInfoResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    PnlReportInfo:
      example:
        status_message: status_message
        final_date_time: '2000-01-23T04:56:07.000+00:00'
        reporting_currency: reporting_currency
        real_time_mkt_data: true
        time_stamp: '2000-01-23T04:56:07.000+00:00'
        initial_date_time: '2000-01-23T04:56:07.000+00:00'
        description: description
        id: id
        portfolio_name: portfolio_name
        report_name: report_name
        portfolio_type: derivitec
        status: none
      properties:
        description:
          nullable: true
          type: string
        final_date_time:
          format: date-time
          type: string
        id:
          nullable: true
          type: string
        initial_date_time:
          format: date-time
          type: string
        portfolio_name:
          nullable: true
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        real_time_mkt_data:
          type: boolean
        report_name:
          nullable: true
          type: string
        reporting_currency:
          nullable: true
          type: string
        status:
          enum:
            - none
            - succeeded
            - failed
            - running
            - warning
          type: string
        status_message:
          nullable: true
          type: string
        time_stamp:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Reports.PnlReportInfo, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````